#include "graph_builder_txt.h"
#include <fstream>
#include <iostream>

void Graph_builder_txt::readFile(std::ifstream& file, Graph& g) {
	int n1, n2, n3;

	int cols = 0;
	char prevc = ' ', c = 'a';
	file.get(c);
	while ((c!='\n')&&(!file.eof())) {
		if (((prevc == '\t')||(prevc == ' '))&&(c != ' ')) {
			cols += 1;
		}
		prevc = c;
		file.get(c);
	}
	file.seekg(0);
	int i = 0;
	int maxVertex = 0;
	if (cols == 2) {
		file >> n1 >> n2;
		while (!file.eof()) {
			if (n1 > maxVertex)
				maxVertex = n1;
			if (n2 > maxVertex)
				maxVertex = n2;
			file >> n1 >> n2;
		}
		g.initialize(maxVertex);
		file.clear();
		file.seekg(0, std::ios::beg);
		file >> n1 >> n2;
		//int i=0;
		while (!file.eof()) {
			//i++;
			//if (i%10000==0)
			//	std::cout << "i: " << i << std::endl;
			g.addEdge(n1, n2);
			//std::cout << n1 << " " << n2 << std::endl;
			file >> n1 >> n2;
		}
	}
	else {
		file >> n1 >> n2 >> n3;
		while (!file.eof()) {
			if (n1 > maxVertex)
				maxVertex = n1;
			if (n2 > maxVertex)
				maxVertex = n2;
			file >> n1 >> n2 >> n3;
		}
		g.initialize(maxVertex);
		file.clear();
		file.seekg(0, std::ios::beg);
		file >> n1 >> n2 >> n3;
		while (!file.eof()) {
			g.addEdge(n1, n2);
			//std::cout << n1 << " " << n2 << std::endl;
			file >> n1 >> n2 >> n3;
		}
	}
	file.close();
}

