#include "log.h"
#include <iostream>

Log::Log(std::string m_fileName) {
	fileName = m_fileName;
	file.open(fileName.c_str());
}

Log::~Log() {
	file.close();
}

Log& Log::operator<<(std::string s) {
	file << s;
	return *this;
}

Log& Log::operator<<(int i) {
	file << i;
	return *this;
}

Log& Log::operator<<(float f) {
	file << f;
	return *this;
}

