#ifndef _PAIR_COMMUNITIES_H_
#define _PAIR_COMMUNITIES_H_

#include "network.h"

typedef struct {
	std::list<std::pair<Network*, Network*> > final_pairs;
	int snapshot;
	int vertices_now;
	int necessary_adds;
	int necessary_remotions;
} tParing;

tParing pair_communities(std::vector<Network*> prev_comm_graphs, std::vector<Network*> comm_graphs, int snapshot_number);

#endif

