#ifndef _CLIQUE_H_
#define _CLIQUE_H_

#include "graph.h"

class Clique {
  private:
	std::list<std::list<Vertex*> > cliques;	

  public:	
	void buildCliques(Graph& graph, int maxShellIndex);
	
	inline std::list<std::list<Vertex*> > getCliques() { return cliques;}
};

#endif

